%define name ftp4all
%define version 2.20b1
%define release 1
%define builddir $RPM_BUILD_DIR/%{name}-%{version}
Name:		%{name}
Version:	%{version}
Release:	1
Vendor:		FTP4ALL
URL:		http://www.ftp4all.de
Source:         ftpd-2.20b1.tar.gz
Source1:	rc.d.tar.gz
Patch:		ftpd-2.20b1.patch
Group:		Networking/Daemons
Copyright:	GPL
Summary:	FTP Server with many features (standalone)
Summary(pl):    Serwer FTP z wieloma ficzerami (standalone)
Conflicts:	wu-ftpd ncftpd proftpd
BuildRoot:	/tmp/%{name}-%{version}-root

%description
FTP4ALL is a FTP server that can be installed by everyone, based on RFC959,
the FTP specification. Access to the server can be made through all existing
ftp clients. ---> No sysop rights needed. <---
And it includes all features of fsp:
- readme files displayed when changing directories
- IP oriented access to server, private and public mode
- throughput control by maximum number of users
- logging of client commands
- download recovery
- user administration (add, remove, change) while server is running
- keeps track of user upload and download amount
- download limits can be assigned to users individually
- three classes of users: sysop, user and guest (anonymous|ftp)
- three sets of permissions: owner,group and world (like UNIX)
- accession rights can be assigned to direcories and user classes:
  get file, put file, overwrite file, make dir, change dir, list dir
  and change mode can be set
- multiple login of users can be turned off
- accounts can be disabled
- passive ftp
and more...

WARNING: server isn't chroot'ed

Use this VERY UNSECURE CONIGURATION ON PORT 21 :-> or change owner
and group to ftp and run ftpd daemon on port > 1024.

!!!! For security reasons read documentation !!!!

%description -l pl
FTP4ALL jest serwerm FTP bazujcym na RFC959 ktry moe by zainstalowany
przez kadego (nie tylko roota). Dostp do serwera jest moliwy poprzez
wszystkie istniejce klienty FTP. ---> Prawa operatora serwera nie sa
wymagane <---
Serwer zawierawszelkie ficzery fsp i nie tylko:
- pliki readme sa wywietlane w czasie zmieniania katalogw
- zorientowane na IP przydzielanie dostpu do serwera, prywatny i publiczny
  tryb
- throughput control by maximum number of users
- logowanie komend klientw
- wznawianie cigania
- administracja uytkownikami (dodawanie, usuwanie, modyfikowanie) podczas
  gdy serwer pracuje
- zachowywanie informacji dotyczcych iloci cignitych i uploadowanych
  plikw
- limity na ciganie mog by przydzielone uytkownikom indywidualnie
- trzy klasy uytkownikw: sysop, uytkownik (user) i go (guest
  (anonymous|ftp))
- trzy typy atrybutw: owner, group i world (jak w UNIXie)
- prawa do plikw i katalogw mog by przydzielone uytkownikom i klasom:
  get file, put file, overwrite file, make dir, change dir, list dir
  i change mode mog by ustawione
- wielokrotne logowanie uytkownikw moe byc wyczone
- accounts can be disabled
- konta mog byc zablokowane
- pasywne ftp
i wicej...

OSTRZEENIE: serwer nie jest chrootniety
Uyj tej BARDZO NIEBEZPIECZNEJ KONFIGURACJI NA PORCIE 21 :-> lub zmie
waciciela i grup na ftp i uruchom demona ftpd na porcie > 1024.

!!!! Ze wzgldw bezpieczestwa przeczytaj dokumentacj !!!!

%changelog
* Sun Jul 19 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial package version

%prep
%setup -n ftpd-%{version}
%patch0 -p1

%build
mkdir rc.d
tar -C rc.d -xzf $RPM_SOURCE_DIR/rc.d.tar.gz

if [ -e rc.d/rc.d.tar ]; then
        cd rc.d
        tar xf rc.d.tar
        cd ..
fi
./configure
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/home/ftp/etc
mkdir -p $RPM_BUILD_ROOT/home/ftp/pub
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cp misc/who.* $RPM_BUILD_ROOT/home/ftp/etc
cp doc/ftpd.conf $RPM_BUILD_ROOT/etc
cp doc/* $RPM_BUILD_ROOT/home/ftp/etc
cp bin/ftpd $RPM_BUILD_ROOT/usr/sbin
cp bin/ftps $RPM_BUILD_ROOT/usr/sbin
cp -r rc.d $RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files

%attr(644, root, root) %doc README INSTALL CHANGES lib/RELEASE-TEXT
%defattr(755,root,root)
/usr/sbin/ftpd
/usr/sbin/ftps
/etc/rc.d/init.d/ftp4all
/etc/rc.d/rc0.d/K20ftp4all
/etc/rc.d/rc1.d/K20ftp4all
/etc/rc.d/rc2.d/K20ftp4all
/etc/rc.d/rc3.d/S90ftp4all
/etc/rc.d/rc4.d/S90ftp4all
/etc/rc.d/rc5.d/S90ftp4all
/etc/rc.d/rc6.d/K20ftp4all
%dir /home/ftp
%dir /home/ftp/pub
%attr(644, root, root) /home/ftp/etc/groups
%attr(644, root, root) /home/ftp/etc/users
/home/ftp/etc/who.tail
/home/ftp/etc/who.body
/home/ftp/etc/who.top
%attr(644, root, root) %config /etc/ftpd.conf
